## ballerburg 1.0.1

=== CMakeLists.txt ===
# ###############################
# CMake build file for Ballerburg
# ###############################

cmake_minimum_required (VERSION 2.8 FATAL_ERROR)
project (ballerburg C)
set(VERSION 1.0.1)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckCCompilerFlag)
include(DistClean)


# Set build type to "Release" if user did not specify any build type yet
# Other possible values: Debug, Release, RelWithDebInfo and MinSizeRel
if(NOT CMAKE_BUILD_TYPE)
        set(CMAKE_BUILD_TYPE Release)
endif(NOT CMAKE_BUILD_TYPE)


# ####################
# Paths configuration:
# ####################

if(NOT BINDIR)
	set(BINDIR bin)
endif()

if(NOT DATADIR)
	set(DATADIR share/ballerburg)
endif()

if(NOT BIN2DATADIR)
	set(BIN2DATADIR "../share/ballerburg"
	    CACHE STRING "Relative path from bindir to datadir")
	mark_as_advanced(BIN2DATADIR)
endif()

if(NOT LOCALEDIR)
	set(LOCALEDIR share/locale)
endif()

if(NOT BIN2LOCALEDIR)
	set(BIN2LOCALEDIR "../share/locale"
	    CACHE STRING "Relative path from bindir to locale directory")
	mark_as_advanced(BIN2LOCALEDIR)
endif()

if(NOT MANDIR)
	set(MANDIR share/man/man1)
endif()

if(NOT DOCDIR)
	set(DOCDIR share/doc/ballerburg)
endif()


# ####################
# Check for libraries:
# ####################

find_package(SDL REQUIRED)
find_package(SDL_gfx REQUIRED)
find_package(Math REQUIRED)
find_package(Gettext)


# ###########################
# Check for optional headers:
# ###########################

check_include_files(libintl.h HAVE_LIBINTL_H)


# ###############
# Various CFLAGS:
# ###############

if(CMAKE_COMPILER_IS_GNUCC)
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsigned-char -Wall")
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wextra -Wno-unused-parameter")
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wmissing-prototypes -Wstrict-prototypes")
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wbad-function-cast")
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wformat-security -Wpointer-arith")
	#set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wcast-qual -Wshadow")
	#set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror")
	if (CMAKE_BUILD_TYPE STREQUAL "Debug")
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_FORTIFY_SOURCE=2")
	endif(CMAKE_BUILD_TYPE STREQUAL "Debug")
endif(CMAKE_COMPILER_IS_GNUCC)


# #########################################
# Create config.h and recurse into subdirs:
# #########################################

configure_file(${CMAKE_SOURCE_DIR}/cmake/config-cmake.h
               ${CMAKE_BINARY_DIR}/config.h)

add_subdirectory(src)
add_subdirectory(doc)
add_subdirectory(po)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_SOURCE_DIR}/cmake/Uninstall.cmake)

=== doc/CMakeLists.txt ===

INSTALL(FILES de/anleitung.html en/manual.html  DESTINATION ${DOCDIR})

add_custom_target(manpages ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/ballerburg.1.gz)
add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/ballerburg.1.gz
	COMMAND gzip -c -9 ${CMAKE_CURRENT_SOURCE_DIR}/ballerburg.1 > ${CMAKE_CURRENT_BINARY_DIR}/ballerburg.1.gz
	DEPENDS ballerburg.1)
INSTALL(FILES  ${CMAKE_CURRENT_BINARY_DIR}/ballerburg.1.gz DESTINATION ${MANDIR})

=== src/CMakeLists.txt ===


include_directories(${CMAKE_BINARY_DIR} ${MATH_INCLUDE_DIR}
                    ${SDL_INCLUDE_DIR} ${SDLGFX_INCLUDE_DIR})


add_executable (ballerburg baller1.c baller2.c ballergui.c cannoneer.c
			screen.c psg.c dlgAlert.c sdlgui.c market.c
			music.c paths.c settings.c)

target_link_libraries(ballerburg ${SDL_LIBRARY} ${SDLGFX_LIBRARY}
                      ${MATH_LIBRARY})

if(SDLMAIN_LIBRARY)
	target_link_libraries(ballerburg ${SDLMAIN_LIBRARY})
endif(SDLMAIN_LIBRARY)

install(TARGETS ballerburg RUNTIME DESTINATION ${BINDIR})
install(FILES baller.dat baller.mus DESTINATION ${DATADIR})

=== debian/changelog ===
ballerburg (1.0.1-2) unstable; urgency=low

  * Add cmake to build-depends. (Closes: #728129)
  * Set Maintainer to the Debian Games Team.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 04 Nov 2013 11:00:04 +0100

ballerburg (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #725330)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 18 Sep 2013 13:20:48 +0200

=== debian/control ===
Source: ballerburg
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 9), autotools-dev, libsdl-gfx1.2-dev, cmake
Standards-Version: 3.9.4
Homepage: http://baller.tuxfamily.org/

Package: ballerburg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Classical castle combat game
 Two castles, separated by a mountain, try to defeat each other with their
 cannonballs, either by killing the opponent's king or by weakening the
 opponent enough so that the king capitulates.
 .
 Ballerburg was originally written 1987 by Eckhard Kruse, for the Atari ST
 machines (which were brand new computers at that point in time). Over 25
 years later, here's finally the adaption of the original source code to
 modern operating systems.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with autotools-dev

override_dh_auto_configure:
	./configure --prefix=/usr

override_dh_auto_install:
	dh_auto_install
	# cmake seems not to have an option for moving binaries, doing it manually
	mv debian/ballerburg/usr/bin debian/ballerburg/usr/games
	mkdir -p debian/ballerburg/usr/share/man/man6/
	# game manual pages go to section 6
	mv debian/ballerburg/usr/share/man/man1/ballerburg.1.gz debian/ballerburg/usr/share/man/man6/ballerburg.6.gz
	rmdir debian/ballerburg/usr/share/man/man1/
	# put the game data files to the game data directory
	mkdir -p debian/ballerburg/usr/share/games/
	mv debian/ballerburg/usr/share/ballerburg debian/ballerburg/usr/share/games/

## ballerburg 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required (VERSION 2.8 FATAL_ERROR)
 project (ballerburg C)
-set(VERSION 1.0.1)
+set(VERSION 1.1.0)
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 
@@ -50,7 +50,7 @@
 endif()
 
 if(NOT MANDIR)
-	set(MANDIR share/man/man1)
+	set(MANDIR share/man/man6)
 endif()
 
 if(NOT DOCDIR)
@@ -62,11 +62,43 @@
 # Check for libraries:
 # ####################
 
-find_package(SDL REQUIRED)
-find_package(SDL_gfx REQUIRED)
+if(ENABLE_SDL2)
+	find_package(SDL2 REQUIRED)
+	if(NOT SDL2_FOUND)
+		message(FATAL_ERROR "SDL2 library not found!")
+	endif(NOT SDL2_FOUND)
+	set(SDL_INCLUDE_DIR ${SDL2_INCLUDE_DIR})
+	set(SDL_LIBRARY ${SDL2_LIBRARY})
+	set(SDLMAIN_LIBRARY ${SDL2MAIN_LIBRARY})
+else(ENABLE_SDL2)
+	find_package(SDL REQUIRED)
+	if(NOT SDL_FOUND)
+		message(FATAL_ERROR "SDL library not found!")
+	endif(NOT SDL_FOUND)
+endif(ENABLE_SDL2)
+
 find_package(Math REQUIRED)
 find_package(Gettext)
 
+# ################
+# CPP Definitions:
+# ################
+
+# Additional CFLAGS suggested by the SDL library:
+if(ENABLE_SDL2)
+	add_definitions(-DWITH_SDL2)
+	execute_process(COMMAND pkg-config --cflags-only-other sdl2
+			OUTPUT_VARIABLE DETECTED_SDL_CFLAGS
+			ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
+else(ENABLE_SDL2)
+	execute_process(COMMAND pkg-config --cflags-only-other sdl
+			OUTPUT_VARIABLE DETECTED_SDL_CFLAGS
+			ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
+endif(ENABLE_SDL2)
+if(DETECTED_SDL_CFLAGS)
+	add_definitions(${DETECTED_SDL_CFLAGS})
+	# message(STATUS "Additional CFLAGS of SDL: ${DETECTED_SDL_CFLAGS}")
+endif(DETECTED_SDL_CFLAGS)
 
 # ###########################
 # Check for optional headers:

=== debian/changelog ===
ballerburg (1.1.0-1) unstable; urgency=medium

  [ Gürkan Sengün ]
  * New upstream version.
  * Bump standards version to 3.9.5.
  * Drop patches, fixed by upstream:
    + Dutch translation
    + Manpage section

  [ Axel Beckert ]
  * Drop dh_auto_configure override, manually set build-system as cmake
    + Fixes blhc/bls warning about non-verbose compilation
    + Fixes lintian warning hardening-no-fortify-functions
  * Cleaned up debian/rules

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 25 Aug 2014 15:18:14 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 9), autotools-dev, libsdl-gfx1.2-dev, cmake
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://baller.tuxfamily.org/
 
 Package: ballerburg

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  -Scmake --with autotools-dev

override_dh_auto_install:
	dh_auto_install
	# cmake seems not to have an option for moving binaries, doing it manually
	mv debian/ballerburg/usr/bin debian/ballerburg/usr/games
	# put the game data files to the game data directory
	mkdir -p debian/ballerburg/usr/share/games/
	mv debian/ballerburg/usr/share/ballerburg debian/ballerburg/usr/share/games/

## ballerburg 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required (VERSION 2.8 FATAL_ERROR)
 project (ballerburg C)
-set(VERSION 1.1.0)
+set(VERSION 1.2.0)
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,10 +6,9 @@
 
 add_executable (ballerburg baller1.c baller2.c ballergui.c cannoneer.c
 			screen.c psg.c dlgAlert.c sdlgui.c market.c
-			music.c paths.c settings.c)
+			music.c paths.c settings.c sdlgfx.c)
 
-target_link_libraries(ballerburg ${SDL_LIBRARY} ${SDLGFX_LIBRARY}
-                      ${MATH_LIBRARY})
+target_link_libraries(ballerburg ${SDL_LIBRARY} ${MATH_LIBRARY})
 
 if(SDLMAIN_LIBRARY)
 	target_link_libraries(ballerburg ${SDLMAIN_LIBRARY})

=== debian/changelog ===
ballerburg (1.2.0-3) unstable; urgency=medium

  * debian/menu: dropped, install debian/ballerburg.desktop instead.
  * debian/rules: Drop autotools call.
  * Bump standards version to 4.2.1.
  * Add Vcs field. (Closes: #731829)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 12 Sep 2018 11:23:31 +0200

ballerburg (1.2.0-2) unstable; urgency=medium

  * Update my name.
  * Bump standards version to 4.1.3.
  * Bump debhelper version to 11.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 07 Feb 2018 13:17:46 +0100

ballerburg (1.2.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 3.9.6.
  * Change priority to optional. (Closes: #731830)
  * Add icon and desktop files. (Closes: #731831)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 07 Apr 2015 13:56:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: ballerburg
 Section: games
-Priority: extra
+Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 9), autotools-dev, libsdl-gfx1.2-dev, cmake
-Standards-Version: 3.9.5
+Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
+Build-Depends: debhelper (>= 11), libsdl-gfx1.2-dev, cmake
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/games-team/ballerburg.git
+Vcs-Browser: https://salsa.debian.org/games-team/ballerburg
 Homepage: http://baller.tuxfamily.org/
 
 Package: ballerburg

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,11 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@  -Scmake --with autotools-dev
+	dh $@  -Scmake
+
+override_dh_clean:
+	dh_clean
+	rm -rf po/*.mo
 
 override_dh_auto_install:
 	dh_auto_install

## ballerburg 1.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 # CMake build file for Ballerburg
 # ###############################
 
-cmake_minimum_required (VERSION 2.8 FATAL_ERROR)
+cmake_minimum_required (VERSION 3.3 FATAL_ERROR)
 project (ballerburg C)
-set(VERSION 1.2.0)
+set(VERSION 1.2.1)
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 
@@ -17,7 +17,7 @@
 # Set build type to "Release" if user did not specify any build type yet
 # Other possible values: Debug, Release, RelWithDebInfo and MinSizeRel
 if(NOT CMAKE_BUILD_TYPE)
-        set(CMAKE_BUILD_TYPE Release)
+	set(CMAKE_BUILD_TYPE Release)
 endif(NOT CMAKE_BUILD_TYPE)
 
 
@@ -62,20 +62,17 @@
 # Check for libraries:
 # ####################
 
-if(ENABLE_SDL2)
-	find_package(SDL2 REQUIRED)
-	if(NOT SDL2_FOUND)
-		message(FATAL_ERROR "SDL2 library not found!")
-	endif(NOT SDL2_FOUND)
+find_package(SDL2)
+if(SDL2_FOUND)
 	set(SDL_INCLUDE_DIR ${SDL2_INCLUDE_DIR})
 	set(SDL_LIBRARY ${SDL2_LIBRARY})
 	set(SDLMAIN_LIBRARY ${SDL2MAIN_LIBRARY})
-else(ENABLE_SDL2)
+else(SDL2_FOUND)
 	find_package(SDL REQUIRED)
 	if(NOT SDL_FOUND)
 		message(FATAL_ERROR "SDL library not found!")
 	endif(NOT SDL_FOUND)
-endif(ENABLE_SDL2)
+endif(SDL2_FOUND)
 
 find_package(Math REQUIRED)
 find_package(Gettext)
@@ -85,16 +82,16 @@
 # ################
 
 # Additional CFLAGS suggested by the SDL library:
-if(ENABLE_SDL2)
+if(SDL2_FOUND)
 	add_definitions(-DWITH_SDL2)
 	execute_process(COMMAND pkg-config --cflags-only-other sdl2
 			OUTPUT_VARIABLE DETECTED_SDL_CFLAGS
 			ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
-else(ENABLE_SDL2)
+else(SDL2_FOUND)
 	execute_process(COMMAND pkg-config --cflags-only-other sdl
 			OUTPUT_VARIABLE DETECTED_SDL_CFLAGS
 			ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
-endif(ENABLE_SDL2)
+endif(SDL2_FOUND)
 if(DETECTED_SDL_CFLAGS)
 	add_definitions(${DETECTED_SDL_CFLAGS})
 	# message(STATUS "Additional CFLAGS of SDL: ${DETECTED_SDL_CFLAGS}")
@@ -111,7 +108,7 @@
 # Various CFLAGS:
 # ###############
 
-if(CMAKE_COMPILER_IS_GNUCC)
+if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
 	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsigned-char -Wall")
 	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wextra -Wno-unused-parameter")
 	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wmissing-prototypes -Wstrict-prototypes")
@@ -122,7 +119,7 @@
 	if (CMAKE_BUILD_TYPE STREQUAL "Debug")
 		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_FORTIFY_SOURCE=2")
 	endif(CMAKE_BUILD_TYPE STREQUAL "Debug")
-endif(CMAKE_COMPILER_IS_GNUCC)
+endif()
 
 
 # #########################################

=== src/CMakeLists.txt ===


include_directories(${CMAKE_BINARY_DIR} ${SDL_INCLUDE_DIR})

if(MATH_INCLUDE_DIR)
	include_directories(${MATH_INCLUDE_DIR})
endif(MATH_INCLUDE_DIR)

add_executable (ballerburg baller1.c baller2.c ballergui.c cannoneer.c
			screen.c psg.c dlgAlert.c sdlgui.c market.c
			music.c paths.c settings.c sdlgfx.c)

target_link_libraries(ballerburg ${SDL_LIBRARY})

if(SDLMAIN_LIBRARY)
	target_link_libraries(ballerburg ${SDLMAIN_LIBRARY})
endif(SDLMAIN_LIBRARY)

if(MATH_LIBRARY)
	target_link_libraries(ballerburg ${MATH_LIBRARY})
endif(MATH_LIBRARY)

install(TARGETS ballerburg RUNTIME DESTINATION ${BINDIR})
install(FILES baller.dat baller.mus DESTINATION ${DATADIR})

=== debian/changelog ===
ballerburg (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper version to 13, drop d/compat.
  * Bump standards version to 4.6.1.
  * d/patches: drop the typo patch, as upstreamed.
  * d/copyright: add Upstream-Contact.
  * Update maintainer address.

 -- Gürkan Myczko <tar@debian.org>  Mon, 30 May 2022 08:24:29 +0200

ballerburg (1.2.0-4) unstable; urgency=medium

  * Really install the desktop file.
  * Bump standards version to 4.4.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 05 Sep 2019 11:46:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), libsdl-gfx1.2-dev, cmake
-Standards-Version: 4.2.1
+Uploaders: Gürkan Myczko <tar@debian.org>
+Build-Depends: debhelper-compat (= 13), libsdl-gfx1.2-dev, cmake
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/games-team/ballerburg.git
 Vcs-Browser: https://salsa.debian.org/games-team/ballerburg
 Homepage: http://baller.tuxfamily.org/

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,8 @@
 #!/usr/bin/make -f
-# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
 %:
-	dh $@  -Scmake
+	dh $@ -Scmake
 
 override_dh_clean:
 	dh_clean

=== debian/watch ===
version=3
http://download.tuxfamily.org/baller ballerburg-(.*)\.tar\.gz

## ballerburg 1.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 # CMake build file for Ballerburg
 # ###############################
 
-cmake_minimum_required (VERSION 3.3 FATAL_ERROR)
+cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
 project (ballerburg C)
-set(VERSION 1.2.1)
+set(VERSION 1.2.2)
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 
@@ -62,10 +62,15 @@
 # Check for libraries:
 # ####################
 
+if(EMSCRIPTEN)
+	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Os -s USE_SDL=2")
+	set(CMAKE_EXECUTABLE_SUFFIX ".html")
+endif(EMSCRIPTEN)
+
 find_package(SDL2)
 if(SDL2_FOUND)
-	set(SDL_INCLUDE_DIR ${SDL2_INCLUDE_DIR})
-	set(SDL_LIBRARY ${SDL2_LIBRARY})
+	set(SDL_INCLUDE_DIR ${SDL2_INCLUDE_DIRS})
+	set(SDL_LIBRARY ${SDL2_LIBRARIES})
 	set(SDLMAIN_LIBRARY ${SDL2MAIN_LIBRARY})
 else(SDL2_FOUND)
 	find_package(SDL REQUIRED)
@@ -74,7 +79,7 @@
 	endif(NOT SDL_FOUND)
 endif(SDL2_FOUND)
 
-find_package(Math REQUIRED)
+find_package(Math)
 find_package(Gettext)
 
 # ################

=== doc/CMakeLists.txt ===

INSTALL(FILES de/anleitung.html en/manual.html  DESTINATION ${DOCDIR})

add_custom_target(manpages ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/ballerburg.6.gz)
add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/ballerburg.6.gz
	COMMAND gzip -c -9 ${CMAKE_CURRENT_SOURCE_DIR}/ballerburg.6 > ${CMAKE_CURRENT_BINARY_DIR}/ballerburg.6.gz
	DEPENDS ballerburg.6)
INSTALL(FILES  ${CMAKE_CURRENT_BINARY_DIR}/ballerburg.6.gz DESTINATION ${MANDIR})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -20,5 +20,14 @@
 	target_link_libraries(ballerburg ${MATH_LIBRARY})
 endif(MATH_LIBRARY)
 
+if(EMSCRIPTEN)
+	set_target_properties(ballerburg PROPERTIES LINK_FLAGS
+		"-s USE_SDL=2 -s ASYNCIFY -s ASSERTIONS=0 \
+		-s EXPORTED_RUNTIME_METHODS='[\"ccall\",\"cwrap\"]' \
+		--preload-file ${CMAKE_SOURCE_DIR}/src/baller.mus@baller.mus \
+		--preload-file ${CMAKE_SOURCE_DIR}/src/baller.dat@baller.dat"
+	)
+endif()
+
 install(TARGETS ballerburg RUNTIME DESTINATION ${BINDIR})
 install(FILES baller.dat baller.mus DESTINATION ${DATADIR})

=== debian/changelog ===
ballerburg (1.2.2-4) unstable; urgency=medium

  * Team Upload
  * reformat d/control with debputy
  * bump Standards-Version to 4.7.2

  [ Patrice Duroux ]
  * d/control: homepage has moved.
  * d/copyright: source has moved.
  * d/watch: update. (Closes: #1091715)
  * d/rules: use execute_after.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 10 Mar 2025 10:14:06 +0100

ballerburg (1.2.2-3) unstable; urgency=medium

  * Team Upload
  * Set Rules-Requires-Root: no
  * Switch d/watch to https

 -- Alexandre Detiste <tchet@debian.org>  Sat, 23 Nov 2024 13:56:48 +0100

ballerburg (1.2.2-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Mon, 15 Jul 2024 13:46:34 +0000

ballerburg (1.2.2-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.2.
  * d/copyright: bump years.

 -- Gürkan Myczko <tar@debian.org>  Wed, 03 Apr 2024 05:29:50 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,24 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Gürkan Myczko <tar@debian.org>
-Build-Depends: debhelper-compat (= 13), libsdl-gfx1.2-dev, cmake
-Standards-Version: 4.6.1
+Uploaders:
+ Alex Myczko <tar@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ cmake,
+ libsdl-gfx1.2-dev,
+Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/games-team/ballerburg.git
 Vcs-Browser: https://salsa.debian.org/games-team/ballerburg
-Homepage: http://baller.tuxfamily.org/
+Homepage: https://baller.frama.io
+X-Style: black
 
 Package: ballerburg
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Classical castle combat game
  Two castles, separated by a mountain, try to defeat each other with their
  cannonballs, either by killing the opponent's king or by weakening the

=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,10 @@
 %:
 	dh $@ -Scmake
 
-override_dh_clean:
-	dh_clean
+execute_after_dh_clean:
 	rm -rf po/*.mo
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	# cmake seems not to have an option for moving binaries, doing it manually
 	mv debian/ballerburg/usr/bin debian/ballerburg/usr/games
 	# put the game data files to the game data directory

## ballerburg 1.2.3%2Bgit20250916%2Bds

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,17 +12,13 @@
 
 target_link_libraries(ballerburg ${SDL_LIBRARY})
 
-if(SDLMAIN_LIBRARY)
-	target_link_libraries(ballerburg ${SDLMAIN_LIBRARY})
-endif(SDLMAIN_LIBRARY)
-
 if(MATH_LIBRARY)
 	target_link_libraries(ballerburg ${MATH_LIBRARY})
 endif(MATH_LIBRARY)
 
 if(EMSCRIPTEN)
 	set_target_properties(ballerburg PROPERTIES LINK_FLAGS
-		"-s USE_SDL=2 -s ASYNCIFY -s ASSERTIONS=0 \
+		"-s USE_SDL=3 -s ASYNCIFY -s ASSERTIONS=0 \
 		-s EXPORTED_RUNTIME_METHODS='[\"ccall\",\"cwrap\"]' \
 		--preload-file ${CMAKE_SOURCE_DIR}/src/baller.mus@baller.mus \
 		--preload-file ${CMAKE_SOURCE_DIR}/src/baller.dat@baller.dat"
@@ -31,3 +27,5 @@
 
 install(TARGETS ballerburg RUNTIME DESTINATION ${BINDIR})
 install(FILES baller.dat baller.mus DESTINATION ${DATADIR})
+
+add_test(NAME selftest COMMAND $<TARGET_FILE:ballerburg> --selftest)

=== debian/changelog ===
ballerburg (1.2.3+git20250916+ds-3) unstable; urgency=medium

  * d/control: drop unneeded build-depends libsdl2-gfx-dev.

 -- Alex Myczko <tar@debian.org>  Thu, 18 Sep 2025 11:17:08 +0200

ballerburg (1.2.3+git20250916+ds-2) unstable; urgency=medium

  * d/rules: disable tests.

 -- Alex Myczko <tar@debian.org>  Tue, 16 Sep 2025 13:28:33 +0200

ballerburg (1.2.3+git20250916+ds-1) unstable; urgency=medium

  * New upstream version. (Closes: #1038042)
  * d/control: bump build depends of sdl1.2 to sdl2 and add libsdl3-dev.
  * d/copyright: bump years.

 -- Alex Myczko <tar@debian.org>  Tue, 16 Sep 2025 12:14:56 +0200

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,6 @@
 	# put the game data files to the game data directory
 	mkdir -p debian/ballerburg/usr/share/games/
 	mv debian/ballerburg/usr/share/ballerburg debian/ballerburg/usr/share/games/
+
+override_dh_auto_test:
+	@echo blip

## ballerburg 1.2.3+git20250916+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,11 @@
 # CMake build file for Ballerburg
 # ###############################
 
-cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
+cmake_minimum_required (VERSION 3.10 FATAL_ERROR)
 project (ballerburg C)
-set(VERSION 1.2.2)
+enable_testing()
+
+set(VERSION 1.2.3)
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 
@@ -63,44 +65,17 @@
 # ####################
 
 if(EMSCRIPTEN)
-	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Os -s USE_SDL=2")
+	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Os -s USE_SDL=3")
 	set(CMAKE_EXECUTABLE_SUFFIX ".html")
 endif(EMSCRIPTEN)
 
-find_package(SDL2)
-if(SDL2_FOUND)
-	set(SDL_INCLUDE_DIR ${SDL2_INCLUDE_DIRS})
-	set(SDL_LIBRARY ${SDL2_LIBRARIES})
-	set(SDLMAIN_LIBRARY ${SDL2MAIN_LIBRARY})
-else(SDL2_FOUND)
-	find_package(SDL REQUIRED)
-	if(NOT SDL_FOUND)
-		message(FATAL_ERROR "SDL library not found!")
-	endif(NOT SDL_FOUND)
-endif(SDL2_FOUND)
+find_package(SDL3 REQUIRED)
+set(SDL_INCLUDE_DIR SDL3::Headers)
+set(SDL_LIBRARY SDL3::SDL3)
 
 find_package(Math)
 find_package(Gettext)
 
-# ################
-# CPP Definitions:
-# ################
-
-# Additional CFLAGS suggested by the SDL library:
-if(SDL2_FOUND)
-	add_definitions(-DWITH_SDL2)
-	execute_process(COMMAND pkg-config --cflags-only-other sdl2
-			OUTPUT_VARIABLE DETECTED_SDL_CFLAGS
-			ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
-else(SDL2_FOUND)
-	execute_process(COMMAND pkg-config --cflags-only-other sdl
-			OUTPUT_VARIABLE DETECTED_SDL_CFLAGS
-			ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
-endif(SDL2_FOUND)
-if(DETECTED_SDL_CFLAGS)
-	add_definitions(${DETECTED_SDL_CFLAGS})
-	# message(STATUS "Additional CFLAGS of SDL: ${DETECTED_SDL_CFLAGS}")
-endif(DETECTED_SDL_CFLAGS)
 
 # ###########################
 # Check for optional headers:

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -6,3 +6,11 @@
 	COMMAND gzip -c -9 ${CMAKE_CURRENT_SOURCE_DIR}/ballerburg.6 > ${CMAKE_CURRENT_BINARY_DIR}/ballerburg.6.gz
 	DEPENDS ballerburg.6)
 INSTALL(FILES  ${CMAKE_CURRENT_BINARY_DIR}/ballerburg.6.gz DESTINATION ${MANDIR})
+
+find_program(TIDY tidy)
+if(TIDY)
+	add_test(NAME tidy-de
+	         COMMAND tidy -q -e ${CMAKE_CURRENT_SOURCE_DIR}/de/anleitung.html)
+	add_test(NAME tidy-en
+	         COMMAND tidy -q -e ${CMAKE_CURRENT_SOURCE_DIR}/en/manual.html)
+endif(TIDY)

=== po/CMakeLists.txt ===
# #####################################
# CMake build file for the translations
# #####################################

if (GETTEXT_FOUND)

	# Generate template file
	add_custom_target(po-template ALL
		DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.pot)
	add_custom_command(
		OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.pot
		COMMAND xgettext -k_ -kN_  --package-version=${VERSION}
				--package-name=${CMAKE_PROJECT_NAME}
				-o ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.pot
				${CMAKE_CURRENT_SOURCE_DIR}/../src/*.c
		COMMAND sed -i	-e s/charset=CHARSET/charset=ISO-8859-1/
				-e s%"${CMAKE_CURRENT_SOURCE_DIR}/../"%%g
				${CMAKE_PROJECT_NAME}.pot
		DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/../src/*.c
		)

	file(GLOB POFILES *.po)

	foreach(POFILE ${POFILES})
		string(REGEX REPLACE "(.*)/(.*)\\.po" "\\2" LANG ${POFILE})
		string(REPLACE ".po" ".mo" MOFILE ${POFILE})
		add_custom_command(
			OUTPUT ${MOFILE}
			COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${MOFILE} ${POFILE}
			DEPENDS ${POFILE}
			)
		add_custom_target(mo-file-${LANG} ALL DEPENDS ${MOFILE})
		install(FILES ${MOFILE} RENAME ${CMAKE_PROJECT_NAME}.mo
			DESTINATION ${LOCALEDIR}/${LANG}/LC_MESSAGES)
	endforeach()

endif (GETTEXT_FOUND)

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
- libsdl-gfx1.2-dev,
+ libsdl3-dev,
+# libsdl2-gfx-dev,
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/games-team/ballerburg.git

=== debian/watch ===
version=4
opts="mode=git, dversionmangle=auto" \
   https://framagit.org/baller/ballerburg.git refs/tags/@ANY_VERSION@
